Retrieve findings for a completed run
curl --request GET \
--url https://api.example.com/api/v1/run/{run_id}/findingsimport requests
url = "https://api.example.com/api/v1/run/{run_id}/findings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/run/{run_id}/findings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"findings": [
{
"finding_id": "<string>",
"category": "<string>",
"description": "<string>",
"expected_behavior": "<string>",
"status": "<string>",
"created_at": "<string>",
"attacks": [
{
"attack_id": "<string>",
"score": 123,
"source": {
"assessment_id": "<string>",
"attack_index": 123,
"date": "<string>"
},
"replay_script": [
{
"message": "<string>",
"response": "<string>",
"session_id": "<string>",
"method": "<string>",
"url": "<string>",
"headers": {},
"body": "<string>",
"response_status": 123,
"response_body": "<string>",
"target": "<string>",
"assertion": "<string>",
"expected_behavior": "<string>",
"capture_as": "<string>"
}
],
"created_at": "<string>",
"last_replayed_at": "<string>"
}
]
}
],
"count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}findings
Retrieve findings for a completed run
Returns structured findings for a completed assessment run. Returns 409 while the run is still running — partial findings are not exposed.
GET
/
api
/
v1
/
run
/
{run_id}
/
findings
Retrieve findings for a completed run
Headers
Bearer token with API key
Path Parameters
Query Parameters
Filter to findings at or above this severity.
Filter by finding status: open, fixed, dismissed.
Register an agent target (atomic prove-then-persist)Close a finding (mark fixed or dismiss as not an issue)
⌘I